SDK
import { createVoyantConnectClient } from "@voyant-travel/connect-sdk";
const connect = createVoyantConnectClient({ apiKey: process.env.VOYANT_API_KEY });
const result = await connect.links.update("<operatorId>", "<linkId>", {
"status": "active"
});curl --request PATCH \
--url https://api.voyant.travel/connect/v1/operators/<operatorId>/links/<linkId> \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"status": "active"
}'const response = await fetch("https://api.voyant.travel/connect/v1/operators/<operatorId>/links/<linkId>", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"status": "active"
}),
});
const data = await response.json();import requests
response = requests.patch(
"https://api.voyant.travel/connect/v1/operators/<operatorId>/links/<linkId>",
headers={
"Authorization": "Bearer <token>"
},
json={
"status": "active"
}
)
data = response.json()
{
"id": "<string>",
"ownerOperatorId": "<string>",
"direction": "inbound",
"mode": "manual",
"status": "active",
"capabilities": [
{
"id": "<string>",
"linkId": "<string>",
"capability": "<string>",
"enabled": true,
"config": {}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"partnerOrganizationId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Links
Update a link
Updates link status. Requires a *:write scope.
PATCH
/
connect
/
v1
/
operators
/
{operatorId}
/
links
/
{linkId}
SDK
import { createVoyantConnectClient } from "@voyant-travel/connect-sdk";
const connect = createVoyantConnectClient({ apiKey: process.env.VOYANT_API_KEY });
const result = await connect.links.update("<operatorId>", "<linkId>", {
"status": "active"
});Authorizations
Provide either a static platform API key or an OAuth2 access token (from /connect/v1/oauth/token) as Authorization: Bearer <token>. Scopes are connect:* (e.g. connect:bookings:write).
Body
application/json
Available options:
active, paused, revoked Response
A link.
Available options:
inbound, outbound, bidirectional Available options:
manual, automatic Available options:
active, paused, revoked Show child attributes
Show child attributes
⌘I